Bug 256200

Summary: [exp-run] devel/glib20: Update to 2.68.3
Product: Ports & Packages Reporter: Neel Chauhan <nc>
Component: Individual Port(s)Assignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Many People CC: chris, danfe, nc, pi, tcberner
Priority: --- Keywords: needs-qa
Version: LatestFlags: tcberner: maintainer-feedback+
antoine: exp-run?
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D30511
Attachments:
Description Flags
Patch (Revision 1)
none
Patch (Revision 2)
none
Patch (Revision 3) none

Description Neel Chauhan freebsd_committer 2021-05-27 15:16:15 UTC
Created attachment 225319 [details]
Patch (Revision 1)

Phabricator review in https://reviews.freebsd.org/D30511.
Comment 1 Antoine Brodin freebsd_committer 2021-06-01 20:30:29 UTC
The patch fails to apply
Comment 2 Neel Chauhan freebsd_committer 2021-07-17 18:59:21 UTC
Created attachment 226518 [details]
Patch (Revision 2)

New version 2.68.3
Comment 3 Neel Chauhan freebsd_committer 2021-07-17 19:07:49 UTC
Created attachment 226520 [details]
Patch (Revision 3)

Don't accidentally delete too many patches
Comment 4 Antoine Brodin freebsd_committer 2021-07-23 09:00:12 UTC
Some new failure logs:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/ardour6-6.6.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/fusefs-pod-0.5.2_14.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/fyre-1.0.1_22.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/gconfmm-2.28.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/gstreamer1-plugins-opencv-1.16.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/gstreamer1-plugins-qt-1.16.2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/gstreamer1-qt5-1.2.0_25.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/gstreamermm-1.10.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/guitarix-lv2-0.42.1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/nautilus-3.36.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/open-vm-tools-11.2.5,2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/open-vm-tools-nox11-11.2.5,2.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/pan-0.145_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/photoflow-0.2.8.20200828_7.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/pulseview-0.4.2_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/qt5-webkit-5.212.0.a4_6.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/rawstudio-2.0_19.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/scintilla-4.4.5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/seafile-gui-7.0.9.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/textadept-11.0.a.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-21_16h47m17s/logs/errors/xiphos-4.2.1_2.log
Comment 5 commit-hook freebsd_committer 2021-07-23 17:24:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2bba714d25c3ce1e682e6364d1e02a0d98f936f0

commit 2bba714d25c3ce1e682e6364d1e02a0d98f936f0
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-23 16:34:20 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-23 17:23:36 +0000

    x11-fm/nautilus: prepare for glib 2.68.3

    Add upstream fix dropping use of volatile[1]

    [1] https://gitlab.gnome.org/GNOME/nautilus/-/commit/9b733dd9df9d6d9805c56749d05ada15a7560ef4

    PR:             256200

 x11-fm/nautilus/Makefile | 4 ++++
 x11-fm/nautilus/distinfo | 4 +++-
 2 files changed, 7 insertions(+), 1 deletion(-)
Comment 6 commit-hook freebsd_committer 2021-07-23 17:24:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a17081b41c7367dc7d0c8bfa9e034536cefe2a08

commit a17081b41c7367dc7d0c8bfa9e034536cefe2a08
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-23 16:02:47 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-23 17:23:36 +0000

    audio/guitarix-lv2: prepare for glib 2.86.3

    Add upstream fix for gcc11 from upstream [1]

    [1] https://sourceforge.net/p/guitarix/git/ci/d8f003484c57d808682025dfb07a7a1fb848afdc/

    PR:             256200

 audio/guitarix-lv2/files/patch-git_d8f003 (new) | 12 ++++++++++++
 1 file changed, 12 insertions(+)
Comment 7 commit-hook freebsd_committer 2021-07-24 06:25:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=860a8925ed960299eda8f12d70845d074fcae626

commit 860a8925ed960299eda8f12d70845d074fcae626
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 06:23:29 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 06:24:55 +0000

    misc/xiphos: Fix build with glib 2.68.3

    Obtained from [1] via [2].

    [1] https://aur.archlinux.org/cgit/aur.git/tree/xiphos-glibc.patch?h=xiphos
    [2] https://github.com/crosswire/xiphos/issues/1083

    PR:             256200

 misc/xiphos/files/patch-cmake_config.h.cmake.in (new) | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 8 commit-hook freebsd_committer 2021-07-24 06:54:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=25c260e713e1b5281c786144d56941d2b177ac23

commit 25c260e713e1b5281c786144d56941d2b177ac23
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 06:47:07 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 06:47:07 +0000

    editors/textadept: prepare for glib-2.68.3

    Obtained from:  https://github.com/orbitalquark/textadept/issues/110
    PR:             256200

 editors/textadept/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 9 commit-hook freebsd_committer 2021-07-24 07:14:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=34716a6bde62f977c2f2dc983b0829f2e805b0a6

commit 34716a6bde62f977c2f2dc983b0829f2e805b0a6
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 07:09:26 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 07:13:48 +0000

    net-mgmt/seafile-gui: prepare for glib-2.68.3

    * Add patch from Arch Linux to fix build against glib 2.68.3
    * upstream fixed this in release 8.0.3

    Obtained from:  https://aur.archlinux.org/cgit/aur.git/commit/PKGBUILD?h=seafile-client&id=7be253aaa2bdb6771721f45aa08bc875c8001c5a
    PR:             256200

 net-mgmt/seafile-gui/files/patch-CMakeLists.txt | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)
Comment 10 commit-hook freebsd_committer 2021-07-24 07:24:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2dddefa150b4fa21a8ab02dac9b49160a84bdcb8

commit 2dddefa150b4fa21a8ab02dac9b49160a84bdcb8
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 07:21:28 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 07:21:28 +0000

    x11-toolkits/scintilla: prepare for glib-2.68.3

    Add upstream fix removing 'volatile'

    Obtained from:  https://sourceforge.net/p/scintilla/code/ci/790bfd4c0747
    PR:             256200

 ...atch-hg_8719-790bfd4c0747_fix-glib_2.68.3 (new) | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)
Comment 11 commit-hook freebsd_committer 2021-07-24 07:59:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=401256d56ad875724fadb66edb0278c304c84ffe

commit 401256d56ad875724fadb66edb0278c304c84ffe
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 07:51:58 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 07:51:58 +0000

    www/qt5-webkit: prepare for glib-2.68.3

    Obtained from:  https://github.com/qtwebkit/qtwebkit/pull/1058/commits/5b698ba3faffd4e198a45be9fe74f53307395e4b
    PR:             256200

 www/qt5-webkit/Makefile | 6 ++++--
 www/qt5-webkit/distinfo | 4 +++-
 2 files changed, 7 insertions(+), 3 deletions(-)
Comment 12 commit-hook freebsd_committer 2021-07-24 08:17:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8835d0281b43948553ddef54b0329cea029302b3

commit 8835d0281b43948553ddef54b0329cea029302b3
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 08:02:49 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 08:16:42 +0000

    science/pulseview: prepare for glib-2.68.3

    Add upstream fix.

    Obtained from:  https://github.com/sigrokproject/pulseview/commit/ed643f0b4ac587204a5243451cda181ee1405d62
    PR:             256200

 science/pulseview/Makefile | 4 ++++
 science/pulseview/distinfo | 4 +++-
 2 files changed, 7 insertions(+), 1 deletion(-)
Comment 13 commit-hook freebsd_committer 2021-07-24 09:24:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=db82c0063176e6c3ae1a77aaed436320530cff99

commit db82c0063176e6c3ae1a77aaed436320530cff99
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-24 09:16:52 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-24 09:20:38 +0000

    graphics/photoflow: prepare for glib 2.68.3

    Remove last remnant of cimg_funcs.h

    The cimg functionality in graphics/vips was removed in 2014 in in
           https://github.com/libvips/libvips/commit/927b2d795448eb676d4c1680f07b54d61bb4dd7c
    The header was completely removed in
           https://github.com/libvips/libvips/commit/221a5f7e8bfd11797f1bef5a29a928bc0f03e311

    PR:             256200

 ...atch-fix-glib_2.68.3-remove_cimg_func-usage (new) | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
Comment 14 Tobias C. Berner freebsd_committer 2021-07-24 09:46:17 UTC
@neel, can you handle the rest of the required fixes?

mfg Tobias
Comment 15 Neel Chauhan freebsd_committer 2021-07-24 17:01:55 UTC
Yes I can.

Sorry for the delay in responding, I am currently on vacation so it would be harder (but not impossible) for me to do this work.
Comment 16 commit-hook freebsd_committer 2021-08-02 03:02:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7c6548acc9b49cf8ab0b25dda35863c08c76ef7b

commit 7c6548acc9b49cf8ab0b25dda35863c08c76ef7b
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-02 02:47:55 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-02 03:01:27 +0000

    graphics/fyre: Prepare for glib 2.68.3

    PR:     256200

 graphics/fyre/files/patch-src_exr.cpp (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 17 commit-hook freebsd_committer 2021-08-02 03:02:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=12102f1679946fe354d91b5da10f708899d3682b

commit 12102f1679946fe354d91b5da10f708899d3682b
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-02 02:29:48 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-02 03:01:27 +0000

    sysutils/fusefs-pod: Prepare for glib 2.68.3

    PR:     256200

 sysutils/fusefs-pod/files/patch-src_fusepod__ipod.h (new) | 12 ++++++++++++
 1 file changed, 12 insertions(+)
Comment 18 commit-hook freebsd_committer 2021-08-02 03:02:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f0c759b9700cec03fcd820b4095c3487ba82ec59

commit f0c759b9700cec03fcd820b4095c3487ba82ec59
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-02 02:52:21 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-02 03:01:27 +0000

    devel/gconfmm26: Prepare for glib 2.68.3

    PR:     256200

 devel/gconfmm26/files/patch-gconf_gconfmm_callback.h (new) | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 19 commit-hook freebsd_committer 2021-08-02 16:56:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ed9b73e1de5abd6de4dc5b579da611956b4fc309

commit ed9b73e1de5abd6de4dc5b579da611956b4fc309
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-02 14:38:39 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-02 16:55:32 +0000

    graphics/gstreamer1-plugins-opencv: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-ext_opencv_gstcvdilateerode.cpp (new)         | 11 +++++++++++
 1 file changed, 11 insertions(+)
Comment 20 commit-hook freebsd_committer 2021-08-02 23:51:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5f68286245dbdfc1376522d96961ac148a9a5ceb

commit 5f68286245dbdfc1376522d96961ac148a9a5ceb
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-02 23:50:13 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-02 23:50:51 +0000

    graphics/gstreamer1-plugins-qt: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-ext_qt_gstqsgtexture.cc (new)        | 11 +++++++++++
 .../files/patch-ext_qt_gstqtglutility.cc (new)       | 15 +++++++++++++++
 .../files/patch-ext_qt_qtitem.cc (new)               | 11 +++++++++++
 .../files/patch-ext_qt_qtwindow.cc (new)             | 20 ++++++++++++++++++++
 4 files changed, 57 insertions(+)
Comment 21 commit-hook freebsd_committer 2021-08-03 00:08:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5e5966b6c992d8ad4298e4068d3f00f49352005e

commit 5e5966b6c992d8ad4298e4068d3f00f49352005e
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-03 00:07:01 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 00:07:52 +0000

    multimedia/gstreamer1-qt: Prepare for glib 2.68.3

    PR:     256200

 ...patch-elements_gstqtvideosink_gstqtvideosinkplugin.h (new) | 11 +++++++++++
 .../gstreamer1-qt/files/patch-src_QGlib_value.cpp (new)       | 11 +++++++++++
 2 files changed, 22 insertions(+)
Comment 22 commit-hook freebsd_committer 2021-08-03 01:11:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a15d18cf87eb20fac9c7f28223677ab524d1df9d

commit a15d18cf87eb20fac9c7f28223677ab524d1df9d
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-03 01:09:39 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 01:10:15 +0000

    multimedia/gstreamermm: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-gstreamer_gstreamermm_register.h (new)        | 11 +++++++++++
 1 file changed, 11 insertions(+)
Comment 23 commit-hook freebsd_committer 2021-08-03 02:47:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a0676fc963bff28aaf70f27f61aba44fa434d13c

commit a0676fc963bff28aaf70f27f61aba44fa434d13c
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-03 02:30:41 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 02:47:10 +0000

    news/pan: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-pan_data-impl_data-impl.cc (new)   | 15 +++++++++++
 .../files/patch-pan_data_article-cache.cc (new)    | 29 ++++++++++++++++++++++
 .../pan/files/patch-pan_general_file-util.cc (new) | 28 +++++++++++++++++++++
 .../files/patch-pan_general_line-reader.cc (new)   | 13 ++++++++++
 .../files/patch-pan_general_text-match.cc (new)    | 17 +++++++++++++
 news/pan/files/patch-pan_gui_actions.cc (new)      | 15 +++++++++++
 .../pan/files/patch-pan_gui_dl-headers-ui.cc (new) | 17 +++++++++++++
 .../patch-pan_gui_group-prefs-dialog.cc (new)      | 21 ++++++++++++++++
 news/pan/files/patch-pan_gui_group-prefs.cc (new)  | 19 ++++++++++++++
 news/pan/files/patch-pan_gui_header-pane.cc (new)  | 19 ++++++++++++++
 news/pan/files/patch-pan_gui_prefs-ui.cc (new)     | 15 +++++++++++
 .../pan/files/patch-pan_gui_progress-view.cc (new) | 13 ++++++++++
 .../files/patch-pan_gui_save-attach-ui.cc (new)    | 15 +++++++++++
 news/pan/files/patch-pan_gui_save-ui.cc (new)      | 15 +++++++++++
 news/pan/files/patch-pan_gui_score-add-ui.cc (new) | 13 ++++++++++
 .../pan/files/patch-pan_gui_score-view-ui.cc (new) | 15 +++++++++++
 news/pan/files/patch-pan_gui_server-ui.cc (new)    | 17 +++++++++++++
 news/pan/files/patch-pan_gui_task-pane.cc (new)    | 17 +++++++++++++
 news/pan/files/patch-pan_tasks_nntp.cc (new)       | 15 +++++++++++
 .../patch-pan_tasks_socket-impl-main.cc (new)      | 14 +++++++++++
 .../pan/files/patch-pan_tasks_task-groups.cc (new) | 15 +++++++++++
 news/pan/files/patch-pan_tasks_task-post.cc (new)  | 13 ++++++++++
 news/pan/files/patch-pan_tasks_task-xover.cc (new) | 17 +++++++++++++
 .../files/patch-pan_tasks_task-xoverinfo.cc (new)  | 23 +++++++++++++++++
 .../patch-pan_usenet-utils_filter-info.cc (new)    | 15 +++++++++++
 25 files changed, 425 insertions(+)
Comment 24 commit-hook freebsd_committer 2021-08-03 02:47:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c2f6f49a77c8ddb1f483d327c197028e57dd1810

commit c2f6f49a77c8ddb1f483d327c197028e57dd1810
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-03 02:45:58 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 02:47:10 +0000

    graphics/rawstudio: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-librawstudio_rawstudio.h (new)     | 23 ++++++++++++++++++++++
 1 file changed, 23 insertions(+)
Comment 25 commit-hook freebsd_committer 2021-08-03 02:47:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=94630ac169bce38348e144f436664e3854fa132d

commit 94630ac169bce38348e144f436664e3854fa132d
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-07-17 19:08:13 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 02:46:49 +0000

    devel/glib20: Update to 2.68.3

    PR:                     256200
    Differential Revision:  https://reviews.freebsd.org/D30511

 devel/glib20/Makefile                     |  4 ++--
 devel/glib20/distinfo                     |  6 +++---
 devel/glib20/files/patch-glib_meson.build | 10 +++++-----
 devel/glib20/pkg-plist                    |  1 +
 4 files changed, 11 insertions(+), 10 deletions(-)
Comment 26 commit-hook freebsd_committer 2021-08-03 02:47:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=42dfc139f65ba4e9033376a97762a78d93c3cc6a

commit 42dfc139f65ba4e9033376a97762a78d93c3cc6a
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-03 01:50:57 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-03 02:47:10 +0000

    emulators/open-vm-tools: Prepare for glib 2.68.3

    PR:     256200

 .../files/patch-lib_include_tracer.hh (new)              | 12 ++++++++++++
 .../files/patch-lib_pollGtk_pollGtk.c (new)              | 11 +++++++++++
 ...ugins_dndcp_dndGuest_dndCPTransportGuestRpc.hpp (new) | 16 ++++++++++++++++
 .../files/patch-services_plugins_dndcp_dndcp.cpp (new)   | 14 ++++++++++++++
 4 files changed, 53 insertions(+)
Comment 27 Neel Chauhan freebsd_committer 2021-08-03 02:47:54 UTC
Sorry if it took a while, but I have finished the glib-2.68.3 update.
Comment 28 Tobias C. Berner freebsd_committer 2021-08-04 18:54:17 UTC
The exp-run was not finished prior to commit.


@Neel: exp-runs have multiple stages in general. The first wave of fallouts can mask further issues. 

So you cannot simply commit after fixing the first wave. But have to ask/wait for the re-run after the fixes have been done.

After the exp-run was successful, portmgr@ will reassign it to you, and mark it as granted. 

This is when you can go ahead and commit it.


Please take care to fix the further fallout (for example those mentioned by fluffy in [1])



mfg Tobias


[1] https://build.dimapanov.com/poudriere/build.html?mastername=130amd64-dimaports&build=2021-08-04_06h05m53s
Comment 29 commit-hook freebsd_committer 2021-08-05 12:47:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=854c9c663066688be39b2c3bbb4d5a131f828f44

commit 854c9c663066688be39b2c3bbb4d5a131f828f44
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-08-05 12:45:17 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-08-05 12:45:17 +0000

    net-im/telegram-desktop: fix build after glib20 bump

    PR:     256200
    Pointy hat:     nc

 net-im/telegram-desktop/Makefile                               |  1 +
 ..._webview_platform_linux_webview__linux__webkit__gtk.h (new) | 10 ++++++++++
 2 files changed, 11 insertions(+)
Comment 30 commit-hook freebsd_committer 2021-08-05 13:09:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c7ba224d3f94a120fa9d13ddbdebe183066b630c

commit c7ba224d3f94a120fa9d13ddbdebe183066b630c
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-08-05 13:07:51 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-08-05 13:07:51 +0000

    databases/kexi: fix build after glib20 bump

    While here, recognize PgSQL 9.6+

    PR:             256200
    Pointy hat:     nc
    Obtained from:  gentoo

 databases/kexi/Makefile                            |  2 +-
 databases/kexi/files/patch-gentoo-glib-2.68 (new)  | 40 ++++++++++++++++++++++
 .../kexi/files/patch-gentoo-postgresql-9.12 (new)  | 24 +++++++++++++
 3 files changed, 65 insertions(+), 1 deletion(-)
Comment 32 commit-hook freebsd_committer 2021-08-07 16:22:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a8a0b36daa3fa1522526c7f6e051a554b07672c2

commit a8a0b36daa3fa1522526c7f6e051a554b07672c2
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-08-07 16:16:21 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-07 16:21:31 +0000

    multimedia/kmplayer: fix build against glib 2.68.3

    Reported by:    antoine
    PR:             256200

 multimedia/kmplayer/files/patch-src_npplayer.cpp (new) | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
Comment 33 commit-hook freebsd_committer 2021-08-18 16:10:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3ce250411435a87f521197a1d825ebd5873007ed

commit 3ce250411435a87f521197a1d825ebd5873007ed
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-08-18 16:09:34 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-08-18 16:09:41 +0000

    devel/smooth: try to fix the build against GLib 2.68.3.

    PR:     256200

 ...lasses_graphics_backends_cairo_fontcairo.cpp (new) | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
Comment 34 Alexey Dokuchaev freebsd_committer 2021-08-18 16:25:43 UTC
The last of those two fallouts reported by Antoine in comment #31 should be fixed, I hope.

I shall concur to what Tobias had said in comment #28: Neel, you don't just go ahead and make a commit after the first wave, i.e., before all the fallout from the exp-run had been addressed.

Tobias had explained it better than I could, so I'll just stop here, but please bear this in mind next time you'd want to update some important port.